<!DOCTYPE html>
<html lang="en">
<head>
    <title id="Epackage"></title>
    <link href="../../jqwidgets/styles/jqx.base.css" rel="stylesheet" type="text/css" />
    <link href="../../jqwidgets/styles/jqx.material.css" rel="stylesheet" type="text/css" />

    <meta content="IE=edge,chrome=1" http-equiv="X-UA-Compatible" />
    <meta content="width=device-width, initial-scale=1 maximum-scale=1 minimum-scale=1" name="viewport" />
    <meta charset="UTF-8">
    <script src="sources.js" type="text/javascript"></script>

    <script src="../../jqwidgets/jquery-1.11.1.min.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxcore.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxdata.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxbuttons.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxscrollbar.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxlistbox.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxdropdownlist.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxmenu.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxgrid.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxgrid.filter.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxgrid.sort.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxgrid.selection.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxpanel.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxcalendar.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxdatetimeinput.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxcheckbox.js" type="text/javascript"></script>

    <script src="../../jqwidgets/jqxcore.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxribbon.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxlayout.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxtree.js" type="text/javascript"></script>
<!--    <script src="../../scripts/demos.js" type="text/javascript"></script>-->
    <script src="../../jqwidgets/jqxinput.js" type="text/javascript"></script>


    <script type="text/javascript">
        $(document).ready(function () {
            // the 'layout' JSON array defines the internal structure of the layout
            selectedTheme = 'material';
            var layout = [{
                type: 'layoutGroup',
                orientation: 'horizontal',
                items: [
                    {
                        type: 'tabbedGroup',
                        width: '20%',
                        minWidth: 200,
                        items: [{
                            type: 'layoutPanel',
                            title: 'جستجو',
                            contentContainer: 'SearchPanel',
                            initContent: function () {
                                // initialize a jqxTree inside the Solution Explorer Panel
                            }
                        }]
                    }
                , {
                    type: 'layoutGroup',
                    orientation: 'vertical',
                    width: '60%',
                    items: [{
                        type: 'documentGroup',
                        height: '50%',
                        minHeight: 200,
                        items: [{
                            type: 'documentPanel',
                            title: 'Document 1',
                            contentContainer: 'Document1Panel'
                        }, {
                            type: 'documentPanel',
                            title: 'Document 2',
                            contentContainer: 'Document2Panel'
                        }]
                    }, {
                        type: 'tabbedGroup',
                        height: '50%',
                        pinnedHeight: 30,
                        items: [ {
                            type: 'layoutPanel',
                            title: 'خصوصیات',
                            contentContainer: 'OutputPanel',
                            selected: true
                        }]
                    }]
                }, {
                    type: 'tabbedGroup',
                    width: '20%',
                    minWidth: 200,
                    items: [{
                        type: 'layoutPanel',
                        title: 'درختواره',
                        contentContainer: 'SolutionExplorerPanel',
                        initContent: function () {
                            // initialize a jqxTree inside the Solution Explorer Panel


                        }
                    }, {
                        type: 'layoutPanel',
                        title: 'Properties',
                        contentContainer: 'PropertiesPanel'
                    }]
                }]
            }];
            $('#jqxLayout').jqxLayout({ width: window.innerWidth-10, height: 600, layout: layout ,theme: selectedTheme});
            $('#solutionExplorerTree').jqxTree({ source: treeSource, width: 190,theme: selectedTheme });
            // $("#searchTxt").jqxInput({ placeHolder: "Enter a Country", height: 25, width: 200, minLength: 1, source: countries });

            dataAdapter=generatedataForGrid();
            $("#docGrid").jqxGrid(
                {
                    width:"99%",
                    source: dataAdapter,
                    showfilterrow: true,
                    filterable: true,
                    selectionmode: 'multiplecellsextended',
                    theme:selectedTheme,
                    columns: [
                        { text: 'Name', columntype: 'textbox', filtertype: 'input', datafield: 'name', width: "100%" },
                        // { text: 'id', columntype: 'textbox', filtertype: 'input', datafield: 'id', width: 215 },
                    ]
                }
            );
            $('#clearfilteringbutton').jqxButton({ height: 25,theme: selectedTheme});
            $('#clearfilteringbutton').click(function () {
                    $("#docGrid").jqxGrid('clearfilters');
                }
            )


        });
    </script>
</head>
<body>
<div id="jqxLayout">
    <!--The panel content divs can have a flat structure-->
    <!--autoHideGroup-->
    <div data-container="ToolboxPanel">
        List of tools</div>
    <div data-container="HelpPanel">
        Help topics</div>
    <!--documentGroup-->
    <div data-container="Document1Panel">
        Document 1 content</div>
    <div data-container="Document2Panel">
        Document 2 content</div>
    <!--bottom tabbedGroup-->
    <div data-container="ErrorListPanel">
        List of errors</div>
    <div data-container="OutputPanel">
        Output</div>
    <!--right tabbedGroup-->
    <div data-container="SearchPanel">
<!--        <input id="searchTxt" type="text"/>-->

        <div id="docGrid">
        </div>
        <input id="clearfilteringbutton" style="margin-top: 10px;" type="button" value="Remove Filter" />
    </div>
    <div data-container="SolutionExplorerPanel">
        <div id="solutionExplorerTree" style="border: none;">
        </div>
    </div>
</div>
</body>
</html>